Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class Species

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.Species

public class Species
extends MutableDataElementSupport

General definition for 'Species' concept. Generally, species latin name is its identifier as DataElement, thus methods getName() and getLatinName() should returns the same value.

pending DataElement.origin should reffer to species classification.

Constructor Summary
`Species(DataCollection parent, String name)`

Method Summary
`String` | `getAbbreviation()` Returns species abbreviation used in gene and proteine identifiers.
`String` | `getCommonName()` Returns species common name (generally english), for example 'mouse'.
`String` | `getDescription()` Returns species description.
`String` | `getLatinName()` Returns species latin name, for example 'Mus musculus'.
`void` | `setAbbreviation(String abbreviation)`
`void` | `setCommonName(String commonName)`
`void` | `setDescription(String description)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### Species

    public Species(DataCollection parent, String name)

Method Detail

### getAbbreviation

    public String getAbbreviation()

  Returns species abbreviation used in gene and proteine identifiers. Generally it is two letter species abrevations, for example 'Mm' for 'Mus musculus'.

### getCommonName

    public String getCommonName()

  Returns species common name (generally english), for example 'mouse'.

### getDescription

    public String getDescription()

  Returns species description. Generally it is some short comment.

### getLatinName

    public String getLatinName()

  Returns species latin name, for example 'Mus musculus'.

### setAbbreviation

    public void setAbbreviation(String abbreviation)

### setCommonName

    public void setCommonName(String commonName)

### setDescription

    public void setDescription(String description)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM